- Home
- API Enriched
- Dns
- data
- GET DNS Zone Request Logs.
GET DNS Zone Request Logs.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/dns_zones/request_logs';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","filter":"example","limit":1,"namespace":"example","sort":"DESCENDING","start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/dns_zones/request_logs \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "filter": "example", "limit": 1, "namespace": "example", "sort": "DESCENDING", "start_time": "example" }'Retrieve DNS Zone Request Logs.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace fetch request logs for a given namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to fetch request logs.
object
Fetch request logs whose timestamp <= end_time format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
Filter is used to specify the list of matchers
syntax for filter := {[
Optional: If not specified, counter will be aggregated based on the group_by labels.
Limits the number of logs returned in the response Optional: If not specified, first or last 500 log messages that matches the query (depending on the sort order) will be returned in the response. The maximum value for limit is 500.
Fetch request logs for a given namespace.
Fetch request logs whose timestamp >= start_time format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Responses
Section titled “Responses”A successful response.
Response message for RequestLogRequest.
object
List of log messages that matched the query. Not all log messages that matched the query are returned in the response.
DNS Zone Request-Log item.
object
Client Subnet.
Country Code.
Identifies the DNS zone name.
Domain
Query Type.
Response Code.
Format: unix_timestamp|RFC 3339 Required: YES.
Responses to the DNS query.
Total number of log messages that matched the query.
Examplegenerated
{ "logs": [ { "client_subnet": "example", "country_code": "example", "dns_zone_name": "example", "domain": "example", "query_type": "example", "response_code": "example", "timestamp": "2026-04-15T12:00:00Z", "responses": [ "example" ] } ], "total_hits": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example